Brands
GET
/v2/brand
const url = 'https://api-admin.billz.ai/v2/brand?page=1&limit=10';const options = { method: 'GET', headers: { 'platform-id': '7d4a4c38-dd84-4902-b744-0488b80a4c01', Authorization: 'Bearer <token>' }};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url 'https://api-admin.billz.ai/v2/brand?page=1&limit=10' \ --header 'Authorization: Bearer <token>' \ --header 'platform-id: 7d4a4c38-dd84-4902-b744-0488b80a4c01'Error codes: 400 — input validation error; 401, 403, 429, 500 — shared by all methods. Body formats and semantics: Response codes and errors.
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Query Parameters
Section titled “Query Parameters”page
integer format: int32
Non-numeric -> 400
Example
1limit
integer format: int32
Non-numeric -> 400
Example
10name
string
Search by name; takes precedence over search
search
string
Used only if name is empty
Header Parameters
Section titled “Header Parameters”platform-id
string
Platform identifier. A static value is used for integrations.
Responses
Section titled “Responses”Successful response
Media typeapplication/json
object
count
Total number of brands
integer format: int32
brands
Array<object>
object
id
string
name
string
company_id
string
logo
string
Examplegenerated
{ "count": 1, "brands": [ { "id": "example", "name": "example", "company_id": "example", "logo": "example" } ]}